%define upstream_name    Tk-Sugar
%define upstream_version 1.093190

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Sugar syntax for Tk
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Tk/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(English)
BuildRequires: perl(File::Find)
BuildRequires: perl(Sub::Exporter)
BuildRequires: perl(Test::More)

BuildArch: noarch


%description
the Tk manpage is a great graphical toolkit to write desktop applications.
However, one can get bothered with the constant typing of quotes and
options. the Tk::Sugar manpage provides handy subs for common options used
when programming Tk.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%makeinstall_std

%files
%doc Changes LICENSE README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.93.190-7.mga6
+ Revision: 1035410
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.93.190-6.mga6
+ Revision: 945557
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.93.190-5.mga5
+ Revision: 738786
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.93.190-4.mga5
+ Revision: 686731
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.93.190-3.mga4
+ Revision: 515763
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.93.190-2.mga3
+ Revision: 374474
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 jquelin <jquelin> 1.93.190-1.mga1
+ Revision: 28879
- mageia rebuild
- imported package perl-Tk-Sugar

